"""
@author: luojunhui
"""

from quart import Blueprint, jsonify, request

from .AccountArticleRank import AccountArticleRank

blueprint = Blueprint('LongArticlesAlgServer', __name__)


def AlgRoutes(mysql_client):
    """
    ALG ROUTES
    :return:
    """

    @blueprint.route("/healthCheck")
    def helloFuture():
        """
        测试服务连通性
        :return:
        """
        response = {
            "msg": "Hello, World! Hello, Future"
        }
        return jsonify(response)

    @blueprint.route("/articleRank", methods=["POST"])
    async def articleRankRoute():
        """
        文章排序接口
        :return:
        """
        params = await request.get_json()
        AAR = AccountArticleRank(params, mysql_client=mysql_client)
        response = await AAR.deal()
        print(response)
        return jsonify(response)

    return blueprint
